Index: code/branches/doc/src/libraries/core/BaseObject.cc
===================================================================
--- code/branches/doc/src/libraries/core/BaseObject.cc	(revision 7292)
+++ code/branches/doc/src/libraries/core/BaseObject.cc	(revision 7297)
@@ -116,5 +116,5 @@
         @brief XML loading and saving.
         @param xmlelement The XML-element
-        @param loading Loading (true) or saving (false)
+        @param mode The mode defines the operation that is being executed: loading or saving the object (from or to XML respectively)
     */
     void BaseObject::XMLPort(Element& xmlelement, XMLPort::Mode mode)
@@ -141,5 +141,5 @@
         @brief Defines the possible event states of this object and parses eventsources from an XML file.
         @param xmlelement The XML-element
-        @param loading Loading (true) or saving (false)
+        @param mode The mode defines the operation that is being executed: loading or saving the object (from or to XML respectively)
     */
     void BaseObject::XMLEventPort(Element& xmlelement, XMLPort::Mode mode)
Index: code/branches/doc/src/libraries/core/CommandLineParser.cc
===================================================================
--- code/branches/doc/src/libraries/core/CommandLineParser.cc	(revision 7292)
+++ code/branches/doc/src/libraries/core/CommandLineParser.cc	(revision 7297)
@@ -126,4 +126,6 @@
     @param arguments
         Vector of space separated strings.
+    @param bParsingFile
+        FIXME - add doc!
     */
     void CommandLineParser::_parse(const std::vector<std::string>& arguments, bool bParsingFile)
@@ -244,4 +246,6 @@
     @param value
         String containing the value
+    @param bParsingFile
+        FIXME - add doc!
     */
     void CommandLineParser::checkFullArgument(const std::string& name, const std::string& value, bool bParsingFile)
@@ -261,4 +265,6 @@
     @param value
         String containing the value
+    @param bParsingFile
+        FIXME - add doc!
     */
     void CommandLineParser::checkShortcut(const std::string& shortcut, const std::string& value, bool bParsingFile)
Index: code/branches/doc/src/libraries/core/CommandLineParser.h
===================================================================
--- code/branches/doc/src/libraries/core/CommandLineParser.h	(revision 7292)
+++ code/branches/doc/src/libraries/core/CommandLineParser.h	(revision 7297)
@@ -207,4 +207,6 @@
     @param defaultValue
         Default value that is used when argument was not given.
+    @param bCommandLineOnly
+        FIXME - add doc!
     */
     template <class T>
Index: code/branches/doc/src/libraries/core/ConfigValueContainer.h
===================================================================
--- code/branches/doc/src/libraries/core/ConfigValueContainer.h	(revision 7292)
+++ code/branches/doc/src/libraries/core/ConfigValueContainer.h	(revision 7297)
@@ -117,6 +117,8 @@
                 @param type The type of the corresponding config-file
                 @param identifier The identifier of the class the variable belongs to
+                @param sectionname Name of the section the configValue should be put in.
                 @param varname The name of the variable
                 @param defvalue The default-value
+                @param value Only needed do determine the right type.
             */
             template <class D, class V>
Index: code/branches/doc/src/libraries/core/CoreIncludes.h
===================================================================
--- code/branches/doc/src/libraries/core/CoreIncludes.h	(revision 7292)
+++ code/branches/doc/src/libraries/core/CoreIncludes.h	(revision 7297)
@@ -101,5 +101,5 @@
     /**
         @brief Returns the Identifier with a given name.
-        @param String The name of the class
+        @param name The name of the class
     */
     inline Identifier* ClassByString(const std::string& name)
@@ -110,5 +110,5 @@
     /**
         @brief Returns the Identifier with a given lowercase name.
-        @param String The lowercase name of the class
+        @param name The lowercase name of the class
     */
     inline Identifier* ClassByLowercaseString(const std::string& name)
@@ -119,5 +119,5 @@
     /**
         @brief Returns the Identifier with a given network ID.
-        @param networkID The network ID of the class
+        @param id The network ID of the class
     */
     inline Identifier* ClassByID(uint32_t id)
@@ -130,5 +130,5 @@
         @note This of course only works with OrxonoxClasses.
               The only use is in conjunction with macros that don't know the class type.
-        @param Pointer to an OrxonoxClass
+        @param object Pointer to an OrxonoxClass
     */
     template <class T>
Index: code/branches/doc/src/libraries/core/DynLibManager.h
===================================================================
--- code/branches/doc/src/libraries/core/DynLibManager.h	(revision 7292)
+++ code/branches/doc/src/libraries/core/DynLibManager.h	(revision 7297)
@@ -56,28 +56,36 @@
 
         public:
-            /** Default constructor.
-                @note
-                    <br>Should never be called as the singleton is automatically
-                    created during the creation of the Root object.
-                @see
-                    Root::Root
+            /**
+            @brief
+                Default constructor.
+            @note
+                Should never be called as the singleton is automatically
+                created during the creation of the Root object.
+            @see
+                Root::Root
             */
             DynLibManager();
 
-            /** Default destructor.
-                @see
-                    Root::~Root
+            /**
+            @brief
+                Default destructor.
+            @see
+                Root::~Root
             */
             virtual ~DynLibManager();
 
-            /** Loads the passed library.
-                @param
-                    filename The name of the library. The extension can be omitted
+            /**
+            @brief
+                Loads the passed library.
+            @param filename
+                The name of the library. The extension can be omitted
             */
             DynLib* load(const std::string& filename);
 
-            /** Unloads the passed library.
-            @param
-            filename The name of the library. The extension can be omitted
+            /**
+            @brief
+                Unloads the passed library.
+            @param lib
+                A pointer to the library object
             */
             void unload(DynLib* lib);
Index: code/branches/doc/src/libraries/core/GUIManager.cc
===================================================================
--- code/branches/doc/src/libraries/core/GUIManager.cc	(revision 7292)
+++ code/branches/doc/src/libraries/core/GUIManager.cc	(revision 7297)
@@ -110,6 +110,4 @@
         After Lua setup tolua++-elements are linked to Lua-state to give Lua access to C++-code.
         Finally initial Lua code is executed (maybe we can do this with the CEGUI startup script automatically).
-    @param renderWindow
-        Ogre's render window. Without this, the GUI cannot be displayed.
     @return true if success, otherwise false
     */
@@ -237,4 +235,6 @@
     @param name
         The name of the GUI
+    @param bHidePrevious
+        FIXME - add doc!
 
         The function executes the Lua function with the same name in case the GUIManager is ready.
Index: code/branches/doc/src/libraries/core/Identifier.h
===================================================================
--- code/branches/doc/src/libraries/core/Identifier.h	(revision 7292)
+++ code/branches/doc/src/libraries/core/Identifier.h	(revision 7297)
@@ -387,4 +387,6 @@
         @brief Adds an object of the given type to the ObjectList.
         @param object The object to add
+        @param className The name of the class T
+        @param bRootClass True if this is a root class (i.e. it inherits directly from OrxonoxClass)
     */
     template <class T>
Index: code/branches/doc/src/libraries/core/Language.cc
===================================================================
--- code/branches/doc/src/libraries/core/Language.cc	(revision 7292)
+++ code/branches/doc/src/libraries/core/Language.cc	(revision 7297)
@@ -168,4 +168,5 @@
         @brief Returns the localisation of a given entry.
         @param label The label of the entry
+        @param bError If true, an error is printed if the label doesn't exist and the default localisation is returned. If false, no error is printed and an empty string is returned.
         @return The localisation
     */
Index: code/branches/doc/src/libraries/core/Namespace.cc
===================================================================
--- code/branches/doc/src/libraries/core/Namespace.cc	(revision 7292)
+++ code/branches/doc/src/libraries/core/Namespace.cc	(revision 7297)
@@ -55,10 +55,4 @@
     }
 
-    /**
-        @brief XML loading and saving.
-        @param xmlelement The XML-element
-        @param loading Loading (true) or saving (false)
-        @return The XML-element
-    */
     void Namespace::XMLPort(Element& xmlelement, XMLPort::Mode mode)
     {
Index: code/branches/doc/src/libraries/core/ObjectListBase.cc
===================================================================
--- code/branches/doc/src/libraries/core/ObjectListBase.cc	(revision 7292)
+++ code/branches/doc/src/libraries/core/ObjectListBase.cc	(revision 7297)
@@ -70,5 +70,5 @@
     /**
         @brief Increases all Iterators that currently point on the given element (because it gets removed).
-        @param element The element that gets removed
+        @param object The object that gets removed
     */
     void ObjectListBase::notifyIterators(OrxonoxClass* object) const
@@ -82,5 +82,5 @@
     /**
         @brief Adds a new object to the end of the list.
-        @param object The object to add
+        @param element The element to add
         @return The pointer to the new ObjectListBaseElement, needed by the MetaObjectList of the added object
     */
Index: code/branches/doc/src/libraries/core/ObjectListBase.h
===================================================================
--- code/branches/doc/src/libraries/core/ObjectListBase.h	(revision 7292)
+++ code/branches/doc/src/libraries/core/ObjectListBase.h	(revision 7297)
@@ -54,5 +54,5 @@
             /**
                 @brief Constructor: Creates the list-element with an object.
-                @param object The object to store
+                @param objectBase The object to store
             */
             ObjectListBaseElement(OrxonoxClass* objectBase) : next_(0), prev_(0), objectBase_(objectBase) {}
Index: code/branches/doc/src/libraries/core/ObjectListIterator.h
===================================================================
--- code/branches/doc/src/libraries/core/ObjectListIterator.h	(revision 7292)
+++ code/branches/doc/src/libraries/core/ObjectListIterator.h	(revision 7297)
@@ -109,5 +109,5 @@
             /**
                 @brief Assigns the element of another ObjectListIterator.
-                @param element The other ObjectListIterator
+                @param other The other ObjectListIterator
             */
             inline ObjectListIterator<T>& operator=(const ObjectListIterator<T>& other)
Index: code/branches/doc/src/libraries/core/Resource.h
===================================================================
--- code/branches/doc/src/libraries/core/Resource.h	(revision 7292)
+++ code/branches/doc/src/libraries/core/Resource.h	(revision 7297)
@@ -105,5 +105,5 @@
         /**
             Find out if the named file exists.
-        @param filename
+        @param name
             Fully qualified name of the file to test for
         */
@@ -112,5 +112,5 @@
         /**
             Get struct with information about path and size.
-        @param filename
+        @param name
             Fully qualified name of the file to test for
         */
Index: code/branches/doc/src/libraries/core/XMLPort.h
===================================================================
--- code/branches/doc/src/libraries/core/XMLPort.h	(revision 7292)
+++ code/branches/doc/src/libraries/core/XMLPort.h	(revision 7297)
@@ -148,5 +148,7 @@
     @param paramname The name of the attribute
     @param loadfunction The function to set the attribute inside of the member object.
-    @param loadfunction The function to get the attribute from the member object
+    @param savefunction The function to get the attribute from the member object
+    @param xmlelement The XML-element that is parsed by this macro
+    @param mode Loading or saving
 
     Sometimes you'll have a member object in your class, which has it's own load- and savefunctions.
@@ -196,5 +198,5 @@
     @param sectionname The name of the subsection in the XML file that encloses the sub-objects ("" means no subsection)
     @param loadfunction The function to add a new object to the class
-    @param loadfunction The function to get all added objects from the class
+    @param savefunction The function to get all added objects from the class
     @param xmlelement The XMLElement (received through the XMLPort function)
     @param mode The mode (load/save) (received through the XMLPort function)
Index: code/branches/doc/src/libraries/core/command/TclThreadList.h
===================================================================
--- code/branches/doc/src/libraries/core/command/TclThreadList.h	(revision 7292)
+++ code/branches/doc/src/libraries/core/command/TclThreadList.h	(revision 7297)
@@ -71,5 +71,5 @@
 
             /**
-                @brief Returns a reference to the mutex which might be useful if you want to iterate through the list (see @ref begin and @ref end).
+                @brief Returns a reference to the mutex which might be useful if you want to iterate through the list (see @ref getList()).
             */
             inline boost::shared_mutex& getMutex() const
Index: code/branches/doc/src/libraries/core/command/TclThreadManager.cc
===================================================================
--- code/branches/doc/src/libraries/core/command/TclThreadManager.cc	(revision 7292)
+++ code/branches/doc/src/libraries/core/command/TclThreadManager.cc	(revision 7297)
@@ -303,5 +303,5 @@
     /**
         @brief Sends a command to the queue of a given Tcl-interpreter
-        @param id The id of the target interpreter
+        @param target_id The id of the target interpreter
         @param command The command to be sent
     */
@@ -326,4 +326,5 @@
         @brief This function can be called from Tcl to send a command to the queue of any interpreter.
         @param target_id The id of the target thread
+        @param args Contains the content of the command
     */
     void TclThreadManager::tcl_crossexecute(int target_id, const Tcl::object& args)
@@ -334,5 +335,5 @@
     /**
         @brief Sends a command to the queue of a given Tcl-interpreter
-        @param id The id of the target interpreter
+        @param target_id The id of the target interpreter
         @param command The command to be sent
     */
@@ -347,5 +348,5 @@
     /**
         @brief Sends a query to a given Tcl-interpreter and waits for the result
-        @param id The id of the target interpreter
+        @param target_id The id of the target interpreter
         @param command The command to be sent
         @return The result of the command
@@ -359,4 +360,5 @@
         @brief This function can be called from Tcl to send a query to the main thread.
         @param source_id The id of the calling thread
+        @param args Contains the content of the query
 
         A query waits for the result of the command. This means, the calling thread will be blocked until
@@ -373,4 +375,5 @@
         @param source_id The id of the calling thread
         @param target_id The id of the target thread
+        @param args Contains the content of the query
     */
     std::string TclThreadManager::tcl_crossquery(int source_id, int target_id, const Tcl::object& args)
Index: code/branches/doc/src/libraries/core/input/InputManager.cc
===================================================================
--- code/branches/doc/src/libraries/core/input/InputManager.cc	(revision 7292)
+++ code/branches/doc/src/libraries/core/input/InputManager.cc	(revision 7297)
@@ -140,8 +140,4 @@
         Creates the OIS::InputMananger, the keyboard, the mouse and
         the joys ticks. If either of the first two fail, this method throws an exception.
-    @param windowWidth
-        The width of the render window
-    @param windowHeight
-        The height of the render window
     */
     void InputManager::loadDevices()
Index: code/branches/doc/src/libraries/core/input/InputManager.h
===================================================================
--- code/branches/doc/src/libraries/core/input/InputManager.h	(revision 7292)
+++ code/branches/doc/src/libraries/core/input/InputManager.h	(revision 7297)
@@ -122,4 +122,8 @@
         @param name
             Unique name of the InputState when referenced as string
+        @param bAlwaysGetsInput
+            FIXME - add doc!
+        @param bTransparent
+            FIXME - add doc!
         @param priority
             Priority matters when multiple states are active. You can specify any
Index: code/branches/doc/src/libraries/core/input/KeyBinder.cc
===================================================================
--- code/branches/doc/src/libraries/core/input/KeyBinder.cc	(revision 7292)
+++ code/branches/doc/src/libraries/core/input/KeyBinder.cc	(revision 7297)
@@ -495,6 +495,10 @@
     @brief
         Event handler for the mouseMoved Event.
-    @param e
-        Mouse state information
+    @param abs_
+        The absolute position of the mouse
+    @param rel_
+        The relative movement of the mouse
+    @param clippingSize
+        FIXME - no doc? param not even used?
     */
     void KeyBinder::mouseMoved(IntVector2 abs_, IntVector2 rel_, IntVector2 clippingSize)
@@ -551,5 +555,6 @@
     /**
     @brief Event handler for the mouseScrolled Event.
-    @param e Mouse state information
+    @param abs The absolute position of the scroll wheel
+    @param rel The relative movement of the scroll wheel
     */
     void KeyBinder::mouseScrolled(int abs, int rel)
Index: code/branches/doc/src/libraries/network/ClientInformation.cc
===================================================================
--- code/branches/doc/src/libraries/network/ClientInformation.cc	(revision 7292)
+++ code/branches/doc/src/libraries/network/ClientInformation.cc	(revision 7297)
@@ -230,4 +230,5 @@
   * This function should only be applied to the head of the list
   * @param clientID id to look for
+  * @param look_backwards FIXME - add doc? parameter unused?
   * @return pointer to the last element in the list or 0 if the search was unsuccessfull
   */
@@ -244,5 +245,6 @@
   * This function goes forward through the list and looks for an element with clientID
   * This function should only be applied to the head of the list
-  * @param peer peer to look for
+  * @param address peer to look for
+  * @param look_backwards FIXME - add doc? parameter unused?
   * @return pointer to the element in the list
   */
Index: code/branches/doc/src/libraries/network/synchronisable/Synchronisable.cc
===================================================================
--- code/branches/doc/src/libraries/network/synchronisable/Synchronisable.cc	(revision 7292)
+++ code/branches/doc/src/libraries/network/synchronisable/Synchronisable.cc	(revision 7297)
@@ -217,4 +217,5 @@
    * length of varx: size saved int syncvarlist
    * @param mem pointer to allocated memory with enough size
+   * @param sizes FIXME - add doc!
    * @param id gamestateid of the gamestate to be saved (important for priorities)
    * @param mode defines the direction in which the data will be send/received
@@ -288,4 +289,5 @@
    * @param mem pointer to the bytestream
    * @param mode same as in getData
+   * @param forceCallback FIXME - add doc!
    * @return true/false
    */
@@ -364,4 +366,5 @@
    * This function determines, wheter the object should be saved to the bytestream (according to its syncmode/direction)
    * @param id gamestate id
+   * @param mode FIXME - add doc!
    * @return true/false
    */
Index: code/branches/doc/src/libraries/tools/ResourceCollection.cc
===================================================================
--- code/branches/doc/src/libraries/tools/ResourceCollection.cc	(revision 7292)
+++ code/branches/doc/src/libraries/tools/ResourceCollection.cc	(revision 7297)
@@ -52,8 +52,8 @@
     }
 
-    void ResourceCollection::XMLPort(Element& xmlElement, XMLPort::Mode mode)
+    void ResourceCollection::XMLPort(Element& xmlelement, XMLPort::Mode mode)
     {
-        XMLPortParam(ResourceCollection, "resourceGroup", setResourceGroup, getResourceGroup, xmlElement, mode);
-        XMLPortObject(ResourceCollection, ResourceLocation, "", addResourceLocation, getResourceLocation, xmlElement, mode);
+        XMLPortParam(ResourceCollection, "resourceGroup", setResourceGroup, getResourceGroup, xmlelement, mode);
+        XMLPortObject(ResourceCollection, ResourceLocation, "", addResourceLocation, getResourceLocation, xmlelement, mode);
     }
 
Index: code/branches/doc/src/libraries/tools/ResourceCollection.h
===================================================================
--- code/branches/doc/src/libraries/tools/ResourceCollection.h	(revision 7292)
+++ code/branches/doc/src/libraries/tools/ResourceCollection.h	(revision 7297)
@@ -44,5 +44,5 @@
         virtual ~ResourceCollection();
 
-        virtual void XMLPort(Element& xmlElement, XMLPort::Mode mode);
+        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
 
         void setResourceGroup(const std::string& resourceGroup);
Index: code/branches/doc/src/libraries/tools/ResourceLocation.cc
===================================================================
--- code/branches/doc/src/libraries/tools/ResourceLocation.cc	(revision 7292)
+++ code/branches/doc/src/libraries/tools/ResourceLocation.cc	(revision 7297)
@@ -56,9 +56,9 @@
     }
 
-    void ResourceLocation::XMLPort(Element& xmlElement, XMLPort::Mode mode)
+    void ResourceLocation::XMLPort(Element& xmlelement, XMLPort::Mode mode)
     {
-        XMLPortParam(ResourceLocation, "path",        setPath,        getPath,        xmlElement, mode);
-        XMLPortParam(ResourceLocation, "archiveType", setArchiveType, getArchiveType, xmlElement, mode);
-        XMLPortParam(ResourceLocation, "recursive",   setRecursive,   getRecursive,   xmlElement, mode);
+        XMLPortParam(ResourceLocation, "path",        setPath,        getPath,        xmlelement, mode);
+        XMLPortParam(ResourceLocation, "archiveType", setArchiveType, getArchiveType, xmlelement, mode);
+        XMLPortParam(ResourceLocation, "recursive",   setRecursive,   getRecursive,   xmlelement, mode);
         if (path_.empty())
             ThrowException(AbortLoading, "ResourceLocation: No path given.");
Index: code/branches/doc/src/libraries/tools/ResourceLocation.h
===================================================================
--- code/branches/doc/src/libraries/tools/ResourceLocation.h	(revision 7292)
+++ code/branches/doc/src/libraries/tools/ResourceLocation.h	(revision 7297)
@@ -46,5 +46,5 @@
         virtual ~ResourceLocation();
 
-        virtual void XMLPort(Element& xmlElement, XMLPort::Mode mode);
+        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
 
         void setPath(const std::string& path) { path_ = path; }
Index: code/branches/doc/src/libraries/tools/Timer.cc
===================================================================
--- code/branches/doc/src/libraries/tools/Timer.cc	(revision 7292)
+++ code/branches/doc/src/libraries/tools/Timer.cc	(revision 7297)
@@ -95,5 +95,6 @@
         @param interval The timer-interval in seconds
         @param bLoop If true, the function gets called every 'interval' seconds
-        @param exeuctor A executor of the function to call
+        @param executor A executor of the function to call
+        @param bKillAfterCall If true, the timer will be deleted after the function was executed
     */
     Timer::Timer(float interval, bool bLoop, const ExecutorPtr& executor, bool bKillAfterCall)
Index: code/branches/doc/src/libraries/tools/Timer.h
===================================================================
--- code/branches/doc/src/libraries/tools/Timer.h	(revision 7292)
+++ code/branches/doc/src/libraries/tools/Timer.h	(revision 7297)
@@ -85,6 +85,6 @@
                 @param interval The timer-interval in seconds
                 @param bLoop If true, the function gets called every 'interval' seconds
-                @param object The object owning the timer and the function
                 @param executor A executor of the function to call
+                @param bKillAfterCall If true, the timer will be deleted after the function was executed
             */
             void setTimer(float interval, bool bLoop, const ExecutorPtr& executor, bool bKillAfterCall = false)
Index: code/branches/doc/src/libraries/util/Convert.h
===================================================================
--- code/branches/doc/src/libraries/util/Convert.h	(revision 7292)
+++ code/branches/doc/src/libraries/util/Convert.h	(revision 7297)
@@ -278,4 +278,8 @@
         For information about the different conversion methods (user defined too), see the section
         'Actual conversion sequence' in this file above.
+    @param output
+        A pointer to the variable where the converted value will be stored
+    @param input
+        The original value
     */
     template <class FromType, class ToType>
@@ -294,4 +298,8 @@
         'Actual conversion sequence' in this file above.
         If the conversion doesn't succeed, 'fallback' is written to '*output'.
+    @param output
+        A pointer to the variable where the converted value will be stored
+    @param input
+        The original value
     @param fallback
         A default value that gets written to '*output' if there is no conversion.
Index: code/branches/doc/src/libraries/util/Exception.h
===================================================================
--- code/branches/doc/src/libraries/util/Exception.h	(revision 7292)
+++ code/branches/doc/src/libraries/util/Exception.h	(revision 7297)
@@ -60,4 +60,10 @@
         @param description
             Exception description as string. This message is supposed to help developers!
+        @param lineNumber
+            The number of the code-line in which the exception occurred
+        @param filename
+            The file in which the exception occurred
+        @param functionName
+            The function in which the exception occurred
         */
         Exception(const std::string& description, unsigned int lineNumber,
Index: code/branches/doc/src/libraries/util/OutputHandler.cc
===================================================================
--- code/branches/doc/src/libraries/util/OutputHandler.cc	(revision 7292)
+++ code/branches/doc/src/libraries/util/OutputHandler.cc	(revision 7297)
@@ -67,7 +67,4 @@
         @brief
             Gets temporary log path and starts the log file
-        @param outputHandler
-            This is only required to avoid another call to getInstance (this c'tor was
-            called from getInstance!)
         */
         LogFileWriter()
@@ -162,7 +159,4 @@
         @brief
             Sets the right soft debug level and registers itself
-        @param outputHandler
-            This is only required to avoid another call to getInstance (this c'tor was
-            called from getInstance!)
         */
         MemoryLogWriter()
Index: code/branches/doc/src/libraries/util/StringUtils.cc
===================================================================
--- code/branches/doc/src/libraries/util/StringUtils.cc	(revision 7292)
+++ code/branches/doc/src/libraries/util/StringUtils.cc	(revision 7297)
@@ -142,5 +142,5 @@
     /**
         @brief Returns true if the string contains something like '..."between quotes"...'.
-        @param The string
+        @param str The string
         @return True if there is something between quotes
     */
@@ -154,6 +154,5 @@
     /**
         @brief If the string contains something like '..."between quotes"...' then 'between quotes' gets returned (without quotes).
-        @param The string
-        @param The string between the quotes
+        @param str The string between the quotes
     */
     std::string getStringBetweenQuotes(const std::string& str)
@@ -169,5 +168,5 @@
     /**
         @brief Removes enclosing quotes if available (including whitespaces at the outside of the quotes).
-        @brief str The string to strip
+        @param str The string to strip
         @return The string with removed quotes
     */
Index: code/branches/doc/src/libraries/util/SubString.cc
===================================================================
--- code/branches/doc/src/libraries/util/SubString.cc	(revision 7292)
+++ code/branches/doc/src/libraries/util/SubString.cc	(revision 7297)
@@ -62,12 +62,17 @@
 
     /**
-     * @brief Splits a String into multiple splitters.
-     * @param string the String to split
-     * @param delimiters multiple set of characters at what to split. (delimiters)
-     * @param delimiterNeighbours neighbours of the delimiters, that will be erased only when near a delimiter.
-     * @param emptyEntries If empty entries should be allewed or removed.
-     * @param escapeChar The Escape Character that overrides splitters commends and so on...
-     * @param safemode_char within these characters splitting won't happen
-     * @param comment_char the Comment character.
+     * @brief Splits a string into multiple tokens.
+     * @param string The string to split
+     * @param delimiters Multiple set of characters at what to split. (delimiters)
+     * @param delimiterNeighbours Neighbours of the delimiters that will be erased as well.
+     * @param emptyEntries If empty entries are added to the list of SubStrings
+     * @param escapeChar The escape character that overrides splitters commends and so on...
+     * @param removeEscapeChar If true, the escape char is removed from the tokens
+     * @param safemode_char Within these characters splitting won't happen
+     * @param removeSafemodeChar Removes the safemode_char from the beginning and the ending of a token
+     * @param openparenthesis_char The beginning of a safemode is marked with this
+     * @param closeparenthesis_char The ending of a safemode is marked with this
+     * @param removeParenthesisChars Removes the parenthesis from the beginning and the ending of a token
+     * @param comment_char The comment character.
      */
     SubString::SubString(const std::string& string,
@@ -234,21 +239,26 @@
 
     /**
-     * @brief Splits a String into multiple splitters.
-     * @param string the String to split
-     * @param delimiters multiple set of characters at what to split. (delimiters)
-     * @param delimiterNeighbours: Neighbours to the Delimiters that will be erased too.
-     * @param emptyEntries: If empty entries are added to the List of SubStrings
-     * @param escapeChar The Escape Character that overrides splitters commends and so on...
-     * @param safemode_char within these characters splitting won't happen
-     * @param comment_char the Comment character.
+     * @brief Splits a string into multiple tokens.
+     * @param string The string to split
+     * @param delimiters Multiple set of characters at what to split. (delimiters)
+     * @param delimiterNeighbours: Neighbours of the delimiters that will be erased too.
+     * @param emptyEntries: If empty entries are added to the list of SubStrings
+     * @param escapeChar The escape character that overrides splitters commends and so on...
+     * @param removeEscapeChar If true, the escape char is removed from the tokens
+     * @param safemode_char Within these characters splitting won't happen
+     * @param removeSafemodeChar Removes the safemode_char from the beginning and the ending of a token
+     * @param openparenthesis_char The beginning of a safemode is marked with this
+     * @param closeparenthesis_char The ending of a safemode is marked with this
+     * @param removeParenthesisChars Removes the parenthesis from the beginning and the ending of a token
+     * @param comment_char The comment character.
      */
     unsigned int SubString::split(const std::string& string,
                                   const std::string& delimiters, const std::string& delimiterNeighbours, bool emptyEntries,
-                                  char escapeChar, bool removeExcapeChar, char safemode_char, bool removeSafemodeChar,
+                                  char escapeChar, bool removeEscapeChar, char safemode_char, bool removeSafemodeChar,
                                   char openparenthesis_char, char closeparenthesis_char, bool removeParenthesisChars, char comment_char)
     {
         this->strings.clear();
         this->bInSafemode.clear();
-        SubString::splitLine(this->strings, this->bInSafemode, string, delimiters, delimiterNeighbours, emptyEntries, escapeChar, removeExcapeChar, safemode_char, removeSafemodeChar, openparenthesis_char, closeparenthesis_char, removeParenthesisChars, comment_char);
+        SubString::splitLine(this->strings, this->bInSafemode, string, delimiters, delimiterNeighbours, emptyEntries, escapeChar, removeEscapeChar, safemode_char, removeSafemodeChar, openparenthesis_char, closeparenthesis_char, removeParenthesisChars, comment_char);
         return this->strings.size();
     }
@@ -304,19 +314,20 @@
 
     /**
-     * @brief splits line into tokens and stores them in ret.
-     * @param ret the Array, where the Splitted strings will be stored in
-     * to the beginning of the current token is stored
-     * @param line the inputLine to split
-     * @param delimiters a String of Delimiters (here the input will be splitted)
-     * @param delimiterNeighbours Neighbours to the Delimiter, that will be removed if they are to the left or the right of a Delimiter.
-     * @param emptyEntries: if empty Strings are added to the List of Strings.
-     * @param escape_char: Escape carater (escapes splitters)
-     * @param safemode_char: the beginning of the safemode is marked with this
-     * @param removeSafemodeChar removes the safemode_char from the beginning and the ending of a token
-     * @param openparenthesis_char the beginning of a safemode is marked with this
-     * @param closeparenthesis_char the ending of a safemode is marked with this
-     * @param removeParenthesisChars removes the parenthesis from the beginning and the ending of a token
-     * @param comment_char: the beginning of a comment is marked with this: (until the end of a Line)
-     * @param start_state: the Initial state on how to parse the String.
+     * @brief Splits a line into tokens and stores them in ret.
+     * @param ret The array, where the splitted strings will be stored in
+     * @param bInSafemode A vector wich stores for each character of the string if it is in safemode or not
+     * @param line The inputLine to split
+     * @param delimiters A string of delimiters (here the input will be splitted)
+     * @param delimiterNeighbours Neighbours of the delimiter, that will be removed if they are to the left or the right of a delimiter.
+     * @param emptyEntries If empty strings are added to the list of strings.
+     * @param escape_char Escape carater (escapes splitters)
+     * @param removeEscapeChar If true, the escape char is removed from the tokens
+     * @param safemode_char The beginning of the safemode is marked with this
+     * @param removeSafemodeChar Removes the safemode_char from the beginning and the ending of a token
+     * @param openparenthesis_char The beginning of a safemode is marked with this
+     * @param closeparenthesis_char The ending of a safemode is marked with this
+     * @param removeParenthesisChars Removes the parenthesis from the beginning and the ending of a token
+     * @param comment_char The beginning of a comment is marked with this: (until the end of a line)
+     * @param start_state The initial state on how to parse the string.
      * @return SPLIT_LINE_STATE the parser was in when returning
      *
@@ -333,5 +344,5 @@
                          bool emptyEntries,
                          char escape_char,
-                         bool removeExcapeChar,
+                         bool removeEscapeChar,
                          char safemode_char,
                          bool removeSafemodeChar,
@@ -368,5 +379,5 @@
                 {
                     state = SL_ESCAPE;
-                    if (!removeExcapeChar)
+                    if (!removeEscapeChar)
                         token += line[i];
                 }
Index: code/branches/doc/src/libraries/util/SubString.h
===================================================================
--- code/branches/doc/src/libraries/util/SubString.h	(revision 7292)
+++ code/branches/doc/src/libraries/util/SubString.h	(revision 7297)
@@ -115,5 +115,5 @@
         unsigned int split(const std::string& string,
                            const std::string& delimiters, const std::string& delimiterNeighbours = "", bool emptyEntries = false,
-                           char escapeChar ='\\', bool removeExcapeChar = true, char safemode_char = '"', bool removeSafemodeChar = true,
+                           char escapeChar ='\\', bool removeEscapeChar = true, char safemode_char = '"', bool removeSafemodeChar = true,
                            char openparenthesis_char = '{', char closeparenthesis_char = '}',  bool removeParenthesisChars = true, char comment_char = '\0');
         std::string join(const std::string& delimiter = " ") const;
@@ -152,5 +152,5 @@
                                           bool emptyEntries = false,
                                           char escape_char = '\\',
-                                          bool removeExcapeChar = true,
+                                          bool removeEscapeChar = true,
                                           char safemode_char = '"',
                                           bool removeSafemodeChar = true,