Index: code/branches/doc/src/libraries/core/XMLPort.h
===================================================================
--- code/branches/doc/src/libraries/core/XMLPort.h	(revision 7297)
+++ code/branches/doc/src/libraries/core/XMLPort.h	(revision 7298)
@@ -69,5 +69,7 @@
 
     In the XML file, a param or attribute will be set like this:
+    @code
     <classname paramname="value" />
+    @endcode
 
     The macro will then call loadfunction(value) to set the given value (or call savefunction() to
@@ -88,5 +90,7 @@
 
     In the XML file, a param or attribute will be set like this:
+    @code
     <classname paramname="value" />
+    @endcode
 
     The macro will then store "value" in the variable or read it when saving.
@@ -212,9 +216,11 @@
     likely the best option, so this is usually true.
 
-    @note
+    @details
     The load- and savefunctions have to follow an exactly defined protocol.
     Loadfunction:
       The loadfunction gets a pointer to the object.
-      > void loadfunction(objectclass* pointer);
+      @code
+      void loadfunction(objectclass* pointer);
+      @endcode
 
     Savefunction:
@@ -222,7 +228,10 @@
       gets called again, but with index + 1. It's the functions responsibility to do something smart
       with the index and to return 0 if all objects were returned.
-      > objectclass* savefunction(unsigned int index) const;
+      @code
+      objectclass* savefunction(unsigned int index) const;
+      @endcode
 
       Possible implementation:
+      @code
         objectclass* savefunction(unsigned int index) const
         {
@@ -232,10 +241,14 @@
             return 0;
         }
+      @endcode
 
     Example:
     Possible usage of the macro:
-    > XMLPortObject(SpaceShip, Weapon, "weapons", addWeapon, getWeapon, xmlelement, mode, false, true);
+    @code
+    XMLPortObject(SpaceShip, Weapon, "weapons", addWeapon, getWeapon, xmlelement, mode, false, true);
+    @endcode
 
     Now you can add weapons through the XML file:
+    @code
     <SpaceShip someattribute="..." ...>
       <weapons>
@@ -245,4 +258,5 @@
       </weapons>
     </SpaceShip>
+    @endcode
 
     Note that "weapons" is the subsection. This allows you to add more types of sub-objects. In our example,
Index: code/branches/doc/src/modules/notifications/NotificationQueue.h
===================================================================
--- code/branches/doc/src/modules/notifications/NotificationQueue.h	(revision 7297)
+++ code/branches/doc/src/modules/notifications/NotificationQueue.h	(revision 7298)
@@ -71,5 +71,7 @@
 
         Creating a NotificationQueue through XML goes as follows:
-        Be aware that the NotificationQueue must be inside the <Level></Level> tags or bad things will happen.
+        Be aware that the NotificationQueue must be inside the @code <Level></Level> @endcode tags or bad things will happen.
+        
+        @code
         <NotificationQueue
             name = "SuperQueue" //Name of your OverlayQueue.
@@ -82,4 +84,5 @@
             position = "0.0, 0.0" //The position of the NotificationQueue. (Default is 0.0,0.0)
         />
+        @endcode
     @author
         Damian 'Mozork' Frick
Index: code/branches/doc/src/modules/questsystem/AddQuest.h
===================================================================
--- code/branches/doc/src/modules/questsystem/AddQuest.h	(revision 7297)
+++ code/branches/doc/src/modules/questsystem/AddQuest.h	(revision 7298)
@@ -46,5 +46,7 @@
         Creating a AddQuest through XML goes as follows:
 
+        @code
         <AddQuest questId="id" />  //Where id is a GUID, see http://en.wikipedia.org/wiki/Globally_Unique_Identifier#Basic_structure for more information, and identifies the Quest that should be added.
+        @endcode
     @author
         Damian 'Mozork' Frick
Index: code/branches/doc/src/modules/questsystem/AddQuestHint.h
===================================================================
--- code/branches/doc/src/modules/questsystem/AddQuestHint.h	(revision 7297)
+++ code/branches/doc/src/modules/questsystem/AddQuestHint.h	(revision 7298)
@@ -46,7 +46,9 @@
         Adds a QuestHint, resp. activates the QuestHint of the given id for the player the QuestEffect is invoked on.
 
-    Creating a AddQuestHint through XML goes as follows:
+        Creating a AddQuestHint through XML goes as follows:
 
+        @code
         <AddQuestHint hintId="id" />  //Where id is a GUID, see http://en.wikipedia.org/wiki/Globally_Unique_Identifier#Basic_structure for more information, and identifies the QuestHint that should be added.
+        @endcode
     @author
         Damian 'Mozork' Frick
Index: code/branches/doc/src/modules/questsystem/AddReward.h
===================================================================
--- code/branches/doc/src/modules/questsystem/AddReward.h	(revision 7297)
+++ code/branches/doc/src/modules/questsystem/AddReward.h	(revision 7298)
@@ -48,4 +48,5 @@
         Creating a AddReward through XML goes as follows:
 
+        @code
         <AddReward>
             <Rewardable /> //A list of Rewardable objects to be rewarded the player, see the specific Rewardables for their respective XML representations.
@@ -53,4 +54,5 @@
             <Rewardable />
         </AddReward>
+        @endcode
     @author
         Damian 'Mozork' Frick
Index: code/branches/doc/src/modules/questsystem/CompleteQuest.h
===================================================================
--- code/branches/doc/src/modules/questsystem/CompleteQuest.h	(revision 7297)
+++ code/branches/doc/src/modules/questsystem/CompleteQuest.h	(revision 7298)
@@ -46,5 +46,7 @@
         Creating a CompleteQuest through XML goes as follows:
 
+        @code
         <CompleteQuest questId="id" />  //Where id is a GUID, see http://en.wikipedia.org/wiki/Globally_Unique_Identifier#Basic_structure for more information, and identifies the Quest that should be completed.
+        @endcode
     @author
         Damian 'Mozork' Frick
Index: code/branches/doc/src/modules/questsystem/FailQuest.h
===================================================================
--- code/branches/doc/src/modules/questsystem/FailQuest.h	(revision 7297)
+++ code/branches/doc/src/modules/questsystem/FailQuest.h	(revision 7298)
@@ -46,5 +46,7 @@
         Creating a FailQuest through XML goes as follows:
 
+        @code
         <FailQuest questId="id" />  //Where id is a GUID, see http://en.wikipedia.org/wiki/Globally_Unique_Identifier#Basic_structure for more information, and identifies the Quest that should be failed.
+        @endcode
     @author
         Damian 'Mozork' Frick
Index: code/branches/doc/src/modules/questsystem/GlobalQuest.h
===================================================================
--- code/branches/doc/src/modules/questsystem/GlobalQuest.h	(revision 7297)
+++ code/branches/doc/src/modules/questsystem/GlobalQuest.h	(revision 7298)
@@ -50,4 +50,5 @@
         Creating a GlobalQuest through XML goes as follows:
 
+        @code
         <GlobalQuest id="questId"> //Where questId is a GUID, see http://en.wikipedia.org/wiki/Globally_Unique_Identifier#Basic_structure for more information
             <QuestDescription title="Title" description="Description." /> //The description of the quest.
@@ -78,4 +79,5 @@
             </reward-effects>
         </GlobalQuest>
+        @endcode
     @author
         Damian 'Mozork' Frick
Index: code/branches/doc/src/modules/questsystem/LocalQuest.h
===================================================================
--- code/branches/doc/src/modules/questsystem/LocalQuest.h	(revision 7297)
+++ code/branches/doc/src/modules/questsystem/LocalQuest.h	(revision 7298)
@@ -49,4 +49,5 @@
         Creating a LocalQuest through XML goes as follows:
 
+        @code
         <LocalQuest id="questId"> //Where questId is a GUID, see http://en.wikipedia.org/wiki/Globally_Unique_Identifier#Basic_structure for more information
             <QuestDescription title="Title" description="Description." /> //The description of the quest.
@@ -72,4 +73,5 @@
             </complete-effects>
         </LocalQuest>
+        @endcode
     @author
         Damian 'Mozork' Frick
Index: code/branches/doc/src/modules/questsystem/QuestDescription.h
===================================================================
--- code/branches/doc/src/modules/questsystem/QuestDescription.h	(revision 7297)
+++ code/branches/doc/src/modules/questsystem/QuestDescription.h	(revision 7298)
@@ -50,5 +50,7 @@
         Creating a QuestDescription through XML goes as follows:
 
+        @code
         <QuestDescription title="Title" description="Description Text" failMessage="You fail." completeMessage="You win!" />
+        @endcode
     @author
         Damian 'Mozork' Frick
Index: code/branches/doc/src/modules/questsystem/QuestEffectBeacon.h
===================================================================
--- code/branches/doc/src/modules/questsystem/QuestEffectBeacon.h	(revision 7297)
+++ code/branches/doc/src/modules/questsystem/QuestEffectBeacon.h	(revision 7298)
@@ -61,4 +61,5 @@
         Creating a QuestEffectBeacon through XML goes as follows:
 
+        @code
         <QuestEffectBeacon times=n> //Where 'n' is eighter a number >= 0, which means the QuestEffectBeacon can be executed n times. Or n = -1, which means the QuestEffectBeacon can be executed an infinite number of times.
             <effects>
@@ -76,4 +77,5 @@
             </attached>
         </QuestEffectBeacon>
+        @endcode
     @author
         Damian 'Mozork' Frick
Index: code/branches/doc/src/modules/questsystem/QuestHint.h
===================================================================
--- code/branches/doc/src/modules/questsystem/QuestHint.h	(revision 7297)
+++ code/branches/doc/src/modules/questsystem/QuestHint.h	(revision 7298)
@@ -60,7 +60,9 @@
         Creating a QuestHint through XML goes as follows:
 
+        @code
         <QuestHint id="hintId">  //Where hintId is a GUID, see http://en.wikipedia.org/wiki/Globally_Unique_Identifier#Basic_structure for more information
             <QuestDesctription title="" description="" />
         </QuestHint>
+        @endcode
     @author
         Damian 'Mozork' Frick
Index: code/branches/doc/src/modules/questsystem/QuestListener.h
===================================================================
--- code/branches/doc/src/modules/questsystem/QuestListener.h	(revision 7297)
+++ code/branches/doc/src/modules/questsystem/QuestListener.h	(revision 7298)
@@ -62,4 +62,5 @@
         You can use the QuestListener as if it were a Trigger or EventListener, that fires an Event when the status (depending on the set mode) of the given Quest changes.
 
+        @code
         <BaseObject> // The object that should react to the status change of a Quest.
             <events>
@@ -69,4 +70,5 @@
             </events>
         </BaseObject>
+        @endcode
     @author
     Damian 'Mozork' Frick