Index: /code/branches/doc/src/modules/questsystem/AddQuest.h
===================================================================
--- /code/branches/doc/src/modules/questsystem/AddQuest.h	(revision 7309)
+++ /code/branches/doc/src/modules/questsystem/AddQuest.h	(revision 7310)
@@ -47,5 +47,5 @@
 
         @code
-        <AddQuest questId="id" />  //Where id is a GUID, see http://en.wikipedia.org/wiki/Globally_Unique_Identifier#Basic_structure for more information, and identifies the Quest that should be added.
+        <AddQuest questId="id" />  //Where id identifies the Quest that should be added.
         @endcode
     @author
Index: /code/branches/doc/src/modules/questsystem/AddQuestHint.h
===================================================================
--- /code/branches/doc/src/modules/questsystem/AddQuestHint.h	(revision 7309)
+++ /code/branches/doc/src/modules/questsystem/AddQuestHint.h	(revision 7310)
@@ -49,5 +49,5 @@
 
         @code
-        <AddQuestHint hintId="id" />  //Where id is a GUID, see http://en.wikipedia.org/wiki/Globally_Unique_Identifier#Basic_structure for more information, and identifies the QuestHint that should be added.
+        <AddQuestHint hintId="id" />  //Where id identifies the QuestHint that should be added.
         @endcode
     @author
Index: /code/branches/doc/src/modules/questsystem/CompleteQuest.h
===================================================================
--- /code/branches/doc/src/modules/questsystem/CompleteQuest.h	(revision 7309)
+++ /code/branches/doc/src/modules/questsystem/CompleteQuest.h	(revision 7310)
@@ -47,5 +47,5 @@
 
         @code
-        <CompleteQuest questId="id" />  //Where id is a GUID, see http://en.wikipedia.org/wiki/Globally_Unique_Identifier#Basic_structure for more information, and identifies the Quest that should be completed.
+        <CompleteQuest questId="id" />  //Where id identifies the Quest that should be completed.
         @endcode
     @author
Index: /code/branches/doc/src/modules/questsystem/FailQuest.h
===================================================================
--- /code/branches/doc/src/modules/questsystem/FailQuest.h	(revision 7309)
+++ /code/branches/doc/src/modules/questsystem/FailQuest.h	(revision 7310)
@@ -47,5 +47,5 @@
 
         @code
-        <FailQuest questId="id" />  //Where id is a GUID, see http://en.wikipedia.org/wiki/Globally_Unique_Identifier#Basic_structure for more information, and identifies the Quest that should be failed.
+        <FailQuest questId="id" />  //Where id identifies the Quest that should be failed.
         @endcode
     @author
Index: /code/branches/doc/src/modules/questsystem/GlobalQuest.h
===================================================================
--- /code/branches/doc/src/modules/questsystem/GlobalQuest.h	(revision 7309)
+++ /code/branches/doc/src/modules/questsystem/GlobalQuest.h	(revision 7310)
@@ -51,5 +51,5 @@
 
         @code
-        <GlobalQuest id="questId"> //Where questId is a GUID, see http://en.wikipedia.org/wiki/Globally_Unique_Identifier#Basic_structure for more information
+        <GlobalQuest id="questId">
             <QuestDescription title="Title" description="Description." /> //The description of the quest.
             <subquests>
Index: /code/branches/doc/src/modules/questsystem/LocalQuest.h
===================================================================
--- /code/branches/doc/src/modules/questsystem/LocalQuest.h	(revision 7309)
+++ /code/branches/doc/src/modules/questsystem/LocalQuest.h	(revision 7310)
@@ -50,5 +50,5 @@
 
         @code
-        <LocalQuest id="questId"> //Where questId is a GUID, see http://en.wikipedia.org/wiki/Globally_Unique_Identifier#Basic_structure for more information
+        <LocalQuest id="questId">
             <QuestDescription title="Title" description="Description." /> //The description of the quest.
             <subquests>
Index: /code/branches/doc/src/modules/questsystem/QuestHint.h
===================================================================
--- /code/branches/doc/src/modules/questsystem/QuestHint.h	(revision 7309)
+++ /code/branches/doc/src/modules/questsystem/QuestHint.h	(revision 7310)
@@ -61,5 +61,5 @@
 
         @code
-        <QuestHint id="hintId">  //Where hintId is a GUID, see http://en.wikipedia.org/wiki/Globally_Unique_Identifier#Basic_structure for more information
+        <QuestHint id="hintId">
             <QuestDesctription title="" description="" />
         </QuestHint>
Index: /code/branches/doc/src/modules/questsystem/QuestItem.cc
===================================================================
--- /code/branches/doc/src/modules/questsystem/QuestItem.cc	(revision 7309)
+++ /code/branches/doc/src/modules/questsystem/QuestItem.cc	(revision 7310)
@@ -77,5 +77,6 @@
     /**
     @brief
-        Sets the id of the QuestItem. The id must be of GUID form.
+        Sets the id of the QuestItem.
+        The id can be any string and must be unique in the context it is used (commonly a level file). To ensure uniqueness one could use GUIDs, however they are in general less readable, so make your own choice.
     @see
         http://en.wikipedia.org/wiki/Globally_Unique_Identifier#Basic_structure
Index: /code/branches/doc/src/modules/questsystem/QuestItem.h
===================================================================
--- /code/branches/doc/src/modules/questsystem/QuestItem.h	(revision 7309)
+++ /code/branches/doc/src/modules/questsystem/QuestItem.h	(revision 7310)
@@ -98,5 +98,5 @@
 
         private:
-            std::string id_; //!< Identifier. Should be of GUID form: http://en.wikipedia.org/wiki/Globally_Unique_Identifier#Basic_structure
+            std::string id_; //!< Identifier. Must be unique.
             QuestDescription* description_; //!< The QuestDescription of the QuestItem.
 